-- Lampovo Project ^ω^ Average Enjoyer

WheelXMLObject.setExternalFilename = Utils.appendedFunction(WheelXMLObject.setExternalFilename, function (self, filename, configId)
	if self.xmlFile.filename ~= nil and self.externalFilename ~= nil then
		local filename = self.externalFilename
		local function getDirectory(path)
			path = path:gsub("\\", "/")
			local elems = path:split("/")
		
			if #elems >= 3 then
				return table.concat(elems, "/", 1, 3)
			end
		
			return path
		end
		if getDirectory(self.externalFilename) ~= "data/shared/wheels" then
			local modName, baseDirectory = Utils.getModNameAndBaseDirectory(self.xmlFile.filename)
			filename = baseDirectory .. self.externalFilename
		end
		local xmlFile = XMLFile.load("externalXMLFile", filename, Wheels.xmlSchema)
		if xmlFile then
			self.externalXMLFile = xmlFile
		end
	end
end)